---
title: "Partner API"
canonical: https://documentation.maventa.com/api-specification/rest-api/partner-api/
---

The Partner API is designed for Maventa partners managing multiple company accounts. Use it to monitor inbound and outbound invoice delivery actions across your customer base, retrieve error events, look up companies, manage company takeovers.

## API endpoints

### GET /v1/partner/invoice_delivery_actions/inbound

List inbound invoice delivery actions

**Parameters**

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| state | query | string | no |  |
| page | query | integer | no | Page to fetch |
| per_page | query | integer | no | Number of items per page, values up to 100 supported |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 200 | List inbound invoice delivery actions | `array[Partner_HttpApi_Entities_InvoiceEventsReceived]` |

### GET /v1/partner/invoice_delivery_actions/outbound_errors

List outbound invoice errors

**Parameters**

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| happened_after | query | string | yes | Happened after |
| happened_before | query | string | no | Happened before. Will default to current time. |
| page | query | integer | no | Page to fetch |
| per_page | query | integer | no | Number of items per page, values up to 100 supported |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 200 | List outbound invoice errors | `array[Partner_HttpApi_Entities_InvoiceEventsSentError]` |

### GET /v1/partner/invoice_events/received

List inbound invoice delivery actions

**Parameters**

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| state | query | string | no |  |
| page | query | integer | no | Page to fetch |
| per_page | query | integer | no | Number of items per page, values up to 100 supported |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 200 | List inbound invoice delivery actions | `array[Partner_HttpApi_Entities_InvoiceEventsReceived]` |

### GET /v1/partner/invoice_events/sent_errors

List outbound invoice errors

**Parameters**

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| happened_after | query | string | yes | Happened after |
| happened_before | query | string | no | Happened before. Will default to current time. |
| page | query | integer | no | Page to fetch |
| per_page | query | integer | no | Number of items per page, values up to 100 supported |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 200 | List outbound invoice errors | `array[Partner_HttpApi_Entities_InvoiceEventsSentError]` |

### GET /v1/partner/lookups/companies

List companies availability

**Parameters**

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| bids | query | array[string] | yes | Business ids. Maximum number of bids: 10 |
| country | query | string | yes | Country in ISO 3166-1 alpha-2 format (2 letters) |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 200 | List companies availability | `array[Partner_HttpApi_Entities_CompanyLookups]` |

### GET /v1/partner/takeovers/companies

[EXPERIMENTAL] List available company IDs

**Parameters**

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| query | query | string | yes | Organization number |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 200 |  |  |

### POST /v1/partner/takeovers

[EXPERIMENTAL] Start takeover process

**Request body**

Schema: `postV1PartnerTakeovers`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| company_id | `string` | yes | Id of company to take over |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 201 |  |  |

### POST /v1/partner/takeovers/{takeover_id}/complete

[EXPERIMENTAL] Complete takeover process

**Parameters**

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| takeover_id | path | string | yes |  |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 200 |  |  |

### DELETE /v1/partner/takeovers/{takeover_id}

[EXPERIMENTAL] Revert takeover process

**Parameters**

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| takeover_id | path | string | yes |  |

**Responses**

| Status | Description | Schema |
| --- | --- | --- |
| 204 |  |  |


_OpenAPI spec snapshot: 2026-05-06_
